#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "sysfswrapper.h"

#ifdef DEBUG
#define DBGONLY(X)   X
#else
#define DBGONLY(X)
#endif

ssize_t readSysfsAttr(const char *devicePath, const char *deviceAttr,
		     char *value, ssize_t len)
{
	char attrpath[256];
	ssize_t ret;
	int fd;

	sprintf(attrpath, "%s/%s", devicePath, deviceAttr);
	fd = open(attrpath, O_RDONLY);
	if (fd < 0) {
		DBGONLY(printf("%s could not be opened\n", deviceAttr);)
		return -1;
	}
	ret = read(fd, value, len);
	close(fd);
	if (ret < 0) {
		DBGONLY(printf("%s could not be read\n", deviceAttr);)
		return -1;
	}
	return ret;
}
